<template>
    <div>
        <ClientForm v-bind:client="client" v-bind:companies="companies" v-on:submit="add" v-on:back="back"></ClientForm>
    </div>
</template>

<script>
import ClientForm from './Client.Form.vue';
import { addClient } from '@/api/clients.service.js';
export default {
    data() {
        return {
            client: {
                company: {

                }
            }
        }
    },
    computed: {
        companies() {
            return this.$store.getters.getAllCompanies;
        }
    },
    methods: {
        add: function () {
            addClient(this.client).then((response) => {
                this.$router.go(-1);
            }).catch((error) => {
                console.log(error);
                this.msg = "une erreur s'est produite, Veuillez réssayez";
                this.color = "red";
            })

        },
        back: function () {
            this.$router.go(-1);
        }
    },
    components: {
        ClientForm
    },
    created() {
        this.$store.dispatch('setAllCompanies');
    }
}
</script>

<style>

</style>
